Package com.ocient.jdbc.proto

# Enum PlanProtocol.ColumnInfo.ExtraMetadataCase

java.lang.Object
java.lang.Enum<PlanProtocol.ColumnInfo.ExtraMetadataCase>
com.ocient.jdbc.proto.PlanProtocol.ColumnInfo.ExtraMetadataCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<PlanProtocol.ColumnInfo.ExtraMetadataCase>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol.ColumnInfo

    public static enum PlanProtocol.ColumnInfo.ExtraMetadataCase
    extends Enum<PlanProtocol.ColumnInfo.ExtraMetadataCase>
    implements com.google.protobuf.Internal.EnumLite

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`DECIMAL_INFO` |
`EXTRAMETADATA_NOT_SET` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.ColumnInfo.ExtraMetadataCase` | `forNumber​(int value)` |
`int` | `getNumber()` |
`static PlanProtocol.ColumnInfo.ExtraMetadataCase` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.ColumnInfo.ExtraMetadataCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.ColumnInfo.ExtraMetadataCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DECIMAL_INFO

public static final PlanProtocol.ColumnInfo.ExtraMetadataCase DECIMAL_INFO

### EXTRAMETADATA_NOT_SET

public static final PlanProtocol.ColumnInfo.ExtraMetadataCase EXTRAMETADATA_NOT_SET

## Method Details

### values

public static PlanProtocol.ColumnInfo.ExtraMetadataCase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.ColumnInfo.ExtraMetadataCase valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static PlanProtocol.ColumnInfo.ExtraMetadataCase valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.ColumnInfo.ExtraMetadataCase forNumber​(int value)

### getNumber

public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`